#!
ECHO=echo
[ -z "$1" ] && exit 1
DIRS="`echo \"$1\" | sed 's@^/@%/@;s@/@ @g'`"
for D in $DIRS; do
  case "$D" in
    %)
      cd /
      ;;
    *)
      if [ ! -d $D ]; then
        mkdir $D
        [ "$?" = "0" ] || exit 1
      fi
      cd $D
      ;;
  esac
done
